local WoWUnitExample = {
	
	mocks = {
		UnitName = function()
			return "Soandso";
		end;
	};
	
	setUp = function()
		return {};
	end;

	tearDown = function()
 		-- no tear down required
	end;
	
	testExample = function()
		assert(UnitName("player") == "Soandso", "Expected player name to be 'Soandso'");
	end;
	
	testFailure = function()
		assert(UnitName("player") == "Feithar", "Expected player name to be 'Feithar'");
	end;
	
}

WoWUnit:AddTestSuite("WoWUnitExample", WoWUnitExample);

--------------------------------------------------------------------------
--------------------------------------------------------------------------
--------------------------------------------------------------------------

local WoWUnitTests = {

	mocks = {
		WoWUnit = WoWUnit;
	};
	
	testGetNilMocks = function()
		WoWUnit.mocks = nil;
		assert(WoWUnit:GetMocks() ~= nil, "GetMocks should never return nil");
	end;
	
	testGetMocks = function()
		WoWUnit.mocks = { test = "pass" };
		assert(WoWUnit:GetMocks() ~= nil, "GetMocks should never return nil");
		assertEquals("pass", WoWUnit:GetMocks().test);
	end;
	
}

WoWUnit:AddTestSuite("WoWUnit", WoWUnitTests);
